<?

header("Cache-Control: no-cache");
if ($ver=="wml")header ("Content-type:text/vnd.wap.wml; charset=utf-8");
else header("Content-Type:text/html; charset=UTF-8");

require("inc.php");
$link = connect_db();
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link);
require("version.php");

$us=$row["user"]; 
$idd=$row["id"]; 
$login=$row["user"]; 
$alltraf=$row["alltraf"]; 

if (isset($rm)) $takep2="&amp;rm=$rm&amp;ref=$ref";
else $takep2="&amp;ref=$ref";

if($rm==10) $takep="&amp;pwd=$pwd&amp;ref=$ref";
else if($mod=="privat") $takep="&amp;mod=$mod&amp;ref=$ref";
else $takep="&amp;ref=$ref";

if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>";
echo "<card id=\"cabinet\" title=\"Личный кабинет\">";
echo "<p>";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Личный кабинет</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"left\">\n";
}
switch($go) {

///////////////////////////////////////////////////////////////

case 'mst':
$title=trim(htmlspecialchars(stripslashes($title)));
$content=trim(htmlspecialchars(stripslashes($content)));
if(empty($title)) $error=$error."<u>Название не введено!</u><br/>";
if(empty($content)) $error=$error."<u>Пустое содержание</u><br/>";
if(empty($action)) {
if ($ver=="wml"){
echo $fsize1;
echo "Название:<br/>";
echo $fsize2;
echo "<input name=\"title\"/><br/>";
echo $fsize1;
echo "Содержание:<br/>";
echo $fsize2;
echo "<input name=\"content\"/><br/>";
echo $fsize1;				
echo "<anchor>Добавить<go href=\"cabinet.php?$ses&amp;go=mst\" method=\"post\">";
echo "<postfield name=\"action\" value=\"add\"/>";
echo "<postfield name=\"title\" value=\"$(title)\"/>";
echo "<postfield name=\"content\" value=\"$(content)\"/>";
echo "</go></anchor>";
echo $fsize2;	
echo "<br/>";
}else{
echo "<form method=\"POST\" action=\"cabinet.php?$ses&amp;go=mst\" name=\"auth\">\n";
echo "<input type=\"hidden\" name=\"action\" value=\"add\"/>\n";
echo $fsize1;
echo "Название:<br/>";
echo $fsize2;
echo "<input type=\"text\" name=\"title\" value=\"$title\"/><br/>\n";
echo $fsize1;
echo "Содержание:<br/>";
echo $fsize2;
echo "<input type=\"text\" name=\"content\" value=\"$content\"/><br/>\n";
echo "<input type=\"submit\" value=\"Добавить\" name=\"enter\"><br/>\n";
}
}else{ 
if(empty($error)) {
if($title!=$last_meet['title']) {
if(mysql_query("insert into st values(0,'$login','$title','$content');")) { 
echo $fsize1;
echo "<b>Ваш стих успешно добавлен!</b><br/>"; 
echo $fsize2;
} else { 
echo $fsize1;
echo "<b>Проблемы с базой данных!</b><br/>"; 
echo $fsize2;
} 
} else { 
echo $fsize1;
echo "<b>Такой стих уже добавлен!</b><br/>"; 
echo $fsize2;
}
} else { 
echo $fsize1;
echo $error; 
echo $fsize2;
} 
}
break;

case '777dst':
$q = mysql_query("select id,title from st order by id desc;");
if (mysql_affected_rows() == 0) {
echo $fsize1;
echo "Стихов нет!!!<br/>\n";
echo $fsize2;
} else {
if(empty($action)) {
while($arr=mysql_fetch_array($q)) {
echo $fsize1;
echo "<a href=\"cabinet.php?action=del&amp;$ses&amp;go=777dst&amp;mid=".$arr['id']."\">".$arr['title']."</a><br/>";  
echo $fsize2;
}
} else {
if(mysql_query("delete from st where id='$mid' limit 1;")){ 
echo $fsize1;
echo "<b>Стих успешно удален!</b><br/>";
echo $fsize2;
}
}
}
break;
//////////////////////////////////////////////////////////////

default:
echo $fsize1;
if ($ver=="wml"){
echo "Ваш ID: ".$id."<br/>";
}else if ($ver=="xhtml") {
echo "<div class=\"d1\">Ваш ID: ".$id."<br/></div>";
}
echo $divide;
$r = mysql_query ("select count(readd) as num from zapiski WHERE (idtowhom = '".$id."')and(readd = '0')and(ininc = '1')");
$a = mysql_fetch_array($r);
$inb = $a["num"];
$r2 = mysql_query ("select count(klu4) as num from zapiski WHERE (idtowhom = '".$id."')and(ininc = '1')");
$a2 = mysql_fetch_array($r2);
$inball = $a2["num"];
echo "&#xbb; <a href=\"chatmail.php?$ses$takep2\">Ваши письма</a>(".$inb."/".$inball.")<br/>";
echo $divide;
$cmc = mysql_query ("select count(id) as num from st WHERE 1;");
$cmac = mysql_fetch_array($cmc);
$cmtot4 = $cmac["num"]; 
echo "&#xbb; <a href=\"st.php?$ses&amp;ref=$ref\">Конкурс стихов(".$cmtot4.")</a><br/>";
echo $divide;
echo "&#xbb; <a href=\"cabinet.php?$ses&amp;go=mst$takep\">Добавить стих</a><br/>";
if ($row["level"]>5) echo "&#xbb; <a href=\"cabinet.php?$ses&amp;go=777dst$takep\"><b>Удалить стих</b></a><br/>";
echo $divide;
echo "&#xbb; <a href=\"cabinet.php?go=foto&amp;$ses$takep2\">Фото в Анкету</a><br/>";
echo "&#xbb; <a href=\"cabinet.php?go=avatars&amp;$ses$takep2\">Мой Личный аватар</a><br/>";
echo "&#xbb; <a href=\"cabinet.php?go=smiles&amp;$ses$takep2\">Мой Личный смайл</a><br/>";
echo $divide;
echo "&#xbb; <a href=\"nood.php?$ses&amp;mod=select$takep2\">Моё настроение</a><br/>";
echo "&#xbb; <a href=\"emo.php?$ses$takep2\">Мои эмоции</a><br/>";
echo "&#xbb; <a href=\"profile.php?$ses$takep2\">Ваша анкета</a><br/>";
echo "&#xbb; <a href=\"change.php?$ses$takep2\">Настройки чата</a><br/>";
echo "&#xbb; <a href=\"buttons.php?$ses$takep2\">Софт кнопки!</a><br/>";
echo "&#xbb; <a href=\"bind.php?$ses$takep2\">Клавиши!</a><br/>";
echo "&#xbb; <a href=\"trafik.php?$ses$takep2\">Ваш траффик!</a><br/>";
echo "&#xbb; <a href=\"time.php?$ses$takep2\">Дата, Время и т.д.</a><br/>";
if ($ver=="wml"){
echo $divide;
echo "&#xbb; <a href=\"calls.php?$ses$takep2\">Звонок из Wap</a><br/>";
}
echo $divide;
echo "&#xbb; <a href=\"prezent.php?$ses$takep2\">Подарок другу</a><br/>";
echo $divide;
echo "&#xbb; <a href=\"addanekdot.php?$ses&amp;ref=$ref\">Добавить Анекдот</a><br/>";
echo $divide;
$r3 = mysql_query ("select count(id) as num from golos WHERE user = '".$id."'");
$a3 = mysql_fetch_array($r3);
$golos = $a3["num"];
echo "&#xbb; <a href=\"cabinet.php?go=golos&amp;$ses$takep2\">Голоса за фото</a>(".$golos.")<br/>";
$usms = mysql_fetch_array(mysql_query ("select count(klu4) as num from friends where id ='".$id."';"));
$kol_friend = $usms["num"]; 
echo "&#xbb; <a href=\"friends.php?$ses$takep2\">Ваши друзья</a>(".$kol_friend.")<br/>";
$usm = mysql_fetch_array(mysql_query ("select count(klu4) as num from ignor where id ='".$id."';"));
$kol_ignor = $usm["num"]; 
echo "&#xbb; <a href=\"ignor.php?$ses$takep2\">Игнор-лист</a>(".$kol_ignor.")<br/>";
echo $divide;
echo "&#xbb; <a href=\"rules.php?$ses&amp;ref=$ref\">Пpaвила</a><br/>";
echo "&#xbb; <a href=\"faq.php?$ses&amp;ref=$ref\">FAQ</a><br/>";
echo "&#xbb; <a href=\"faq.php?$ses&amp;mod=2\">Все смайлы</a><br/>";
echo "&#xbb; <a href=\"statistik.php?$ses&amp;ref=$ref\">Статистика чата</a><br/>";
echo "&#xbb; <a href=\"mailadmin.php?$ses&amp;ref=$ref\">Связь с Админом</a><br/>";
echo $fsize2;
break;

case 'foto':
echo $fsize1; 
echo "Вы можете установить фото в анкету одним из 2 способов:<br/>";
echo $divide;
echo "&#8226; <a href=\"foto.php?$ses&amp;mod=photo$takep2\">Загрузка фотки (WAP2.0)</a><br/>";
echo "&#8226; <a href=\"import.php?$ses&amp;mod=photo$takep2\">Импорт фотки</a><br/>";
if($row["img"]!='')echo "&#8226; <a href=\"cabinet.php?go=delfoto&amp;$ses$takep2\">Удалить фото</a><br/>";
echo $fsize2;
break;

case 'delfoto':
echo $fsize1; 
$myfotos = $row["img"];
$ras=explode(".", $myfotos);
$types=$ras[1];
if (!file_exists("photos/".$id.".".$types."")){
echo "У Вас не установлено фото!<br/>\n";
}else{
if (!ctype_digit($id)) { header("Location: index.php"); die; }
if(@mysql_query ("Update users set img ='' where id ='".$id."';")){
unlink ("photos/".$id.".".$types."");
echo "Ваше фото успешно удалено.<br/>";
}else{
echo "Ошибка удаления фото.<br/>";
}
}
echo $fsize2;
break;

case 'smiles':
echo $fsize1;
echo "Выберите свой личный смайл который соответствует Вашему душевному состоянию.<br/>";
echo $divide;
echo "&#8226; <a href=\"foto.php?$ses&amp;mod=smiles$takep2\">Загрузить смайл (WAP2.0)</a><br/>";
echo "&#8226; <a href=\"import.php?$ses&amp;mod=smile$takep2\">Импорт смайла</a><br/>";
echo "&#8226; <a href=\"select.php?$ses&amp;mod=smile$takep2\">Выбрать из имеющихся</a><br/>";
if($row["mysmile"]!='')echo "&#8226; <a href=\"cabinet.php?go=delsmiles&amp;$ses$takep2\">Удалить смайл</a><br/>";
echo $fsize2;
break;

case 'delsmiles':
echo $fsize1; 
$mysmile = $row["mysmile"];
$ras=explode(".", $mysmile);
$types=$ras[1];
if (!file_exists("loadsmile/".$id.".".$types."")){
echo "У Вас не установлен Личный смайл!<br/>\n";
}else{
if (!ctype_digit($id)) { header("Location: index.php"); die; }
if(@mysql_query ("Update users set mysmile ='' where id ='".$id."';")){
unlink ("loadsmile/".$id.".".$types."");
echo "Ваш смайл успешно удалён.<br/>";
} else {
echo "Ошибка удаления смайла.<br/>";
}
}
echo $fsize2;
break;

case 'avatars':
echo $fsize1;
echo "Выберите свой личный аватар который соответствует Вашему душевному состоянию.<br/>";
echo $divide;
echo "&#8226; <a href=\"foto.php?$ses&amp;mod=avatars$takep2\">Загрузить аватар (WAP2.0)</a><br/>";
echo "&#8226; <a href=\"import.php?$ses&amp;mod=avatars$takep2\">Импорт аватара</a><br/>";
echo "&#8226; <a href=\"select.php?$ses&amp;mod=avatars$takep2\">Выбрать из имеющихся</a><br/>";
if($row["myavatar"]!='')echo "&#8226; <a href=\"cabinet.php?go=delavatars&amp;$ses$takep2\">Удалить аватар</a><br/>";
echo $fsize2;
break;

case 'delavatars':
echo $fsize1; 
$myavatar = $row["myavatar"];
$ras=explode(".", $myavatar);
$types=$ras[1];
if (!file_exists("loadavatars/".$id.".".$types."")){
echo "У Вас не установлен Личный аватар!<br/>\n";
}else{
if (!ctype_digit($id)) { header("Location: index.php"); die; }
if(@mysql_query ("Update users set myavatar ='' where id ='".$id."';")){
unlink ("loadavatars/".$id.".".$types."");
echo "Ваш аватар успешно удалён.<br/>";
} else {
echo "Ошибка удаления аватара.<br/>";
}
}
echo $fsize2;
break;

case 'golos':
echo $fsize1;
echo "<b>Кто отдал голос за ваше фото</b><br/>";
echo $divide;
echo $fsize2;
if(empty($page)) $page=0;
$query = mysql_query("select * from golos where user='".$id."';");
$num_of_rows=mysql_num_rows($query);
$total_mat_number=$num_of_rows;
$max = 10;
$total_pages=ceil($total_mat_number/$max);
$print = mysql_query("select * from golos where user='".$id."' order by who desc limit ".$page.",".($max).";");
$i = 1+$page;
while($arr = @mysql_fetch_array($print)) {
$usid=$arr["who"];
$whogolos = @mysql_query("select user from users where id=".$usid.";");
$idatas = @mysql_fetch_array($whogolos);
$login=$idatas["user"];
echo $fsize1;
echo ($i++).") <a href=\"search.php?go=view&amp;$ses&amp;nick=$usid$takep2\">".$login."</a><br/>"; 
echo $fsize2;
}
echo $fsize1;
echo $divide;
echo $fsize2;
for ($num=0; $num<$total_pages; $num++){
$page_number=$num*$max;
echo $fsize1;
if ($page_number!=$page) {
echo "<a href=\"cabinet.php?go=golos&amp;$ses&amp;page=$page_number$takep2\">".($num+1)."</a>|";
} else {
echo "".($num+1)."|";
}
echo $fsize2;
}
echo $fsize1;
echo "<br/>";
echo $divide;
echo "<a href=\"galery.php?$ses$takep2\">В галерею &#8594;</a><br/>";
echo $fsize2;
break;
}
echo $fsize1; 
echo $divide;
if($go) echo "<a href=\"cabinet.php?$ses$takep2\">&#8592; Личный кабинет</a><br/>\n";
if (isset ($rm))echo "<a href=\"chat.php?$ses&amp;rm=$rm$takep\">&#8592; В чат</a><br/>\n"; 
echo "<a href=\"enter.php?$ses&amp;ref=$ref\">&#8592; Прихожая</a><br/>\n"; 
echo $fsize2; 
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>";
mysql_close($link); 
?>